Skip to main content
PATCH
/
v1
/
flow
/
vectordb
/
{database_id}
Update vector database
curl --request PATCH \
  --url https://flow.seekr.com/v1/flow/vectordb/{database_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "db_type": "RAG"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "model": "<string>",
  "dimension": 123,
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "file_count": 123,
  "size_in_bytes": 123
}

Authorizations

Authorization
string
header
required

Seekr API Key without 'Bearer' Prefix

Path Parameters

database_id
string
required

Body

application/json
name
string | null

New name of the vector database

Required string length: 1 - 100
description
string | null

New description of the vector database

Maximum string length: 500
db_type
enum<string> | null

Type of vector database to create

Available options:
RAG,
explainability
Example:

"RAG"

Response

Successful Response

id
string
required
name
string
required
model
string
required
dimension
integer
required
description
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
file_count
integer
required
db_type
enum<string> | null
required
Available options:
RAG,
explainability
size_in_bytes
integer | null
Last modified on June 18, 2026